Foreman - Bug #9594

User groups API does not contain "admin" field on GET requests.
03/01/2015 09:47 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: API
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2396
Description

Steps to reproduce:
Issue GET request to this address: https:/$host/api/v2/usergroups/&lt;usergroup_name>

Expected result: All properties of the group, including "admin" flag.
Actual result: "admin" flag is missing from the JSON

Side note:

PUT request will accept the "admin" field, will respect it, and will show its new state in the response.

Associated revisions

Revision 5aa4be78 - 05/20/2015 05:45 AM - Shimon Shtein
Fixes #9594 - adds admin field to the hostgroup rabl

Revision 33c64725 - 06/15/2015 09:22 AM - Shimon Shtein
Fixes #9594 - adds admin field to the hostgroup rabl

(cherry picked from commit 5aa4be78af26afbd087c7b752325e15bd4f0e8b2)

History

#1 - 03/02/2015 04:37 AM - Dominic Cleal
- Category set to API

#2 - 05/20/2015 05:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2396 added
- Pull request deleted ()

#3 - 05/20/2015 06:04 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5aa4be78af26afbd087c7b752325e15bd4f0e8b2.

#4 - 05/20/2015 06:05 AM - Dominic Cleal
- Assignee set to Shimon Shtein

- translation missing: en.field_release set to 56

05/18/2024

1/1



https://$host/api/v2/usergroups/&lt;usergroup_name
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5aa4be78af26afbd087c7b752325e15bd4f0e8b2
http://www.tcpdf.org

